package domain

type AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo struct {
	/*
	   短保时间段信息     */
	PeriodInfos *[]AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo `json:"period_infos,omitempty" `

	/*
	   门店id     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo) SetPeriodInfos(v []AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo) *AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo {
	s.PeriodInfos = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo) SetShopIds(v []string) *AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo {
	s.ShopIds = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo) SetSkuCode(v string) *AlibabaWdkMarketingExpirePromotionDeleteExpirePromotionBo {
	s.SkuCode = &v
	return s
}
